Bug 4867 - unable to delete PDF files from Shared folder
unable to delete PDF files from Shared folder
Status: NEW
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.25b
x86 Windows XP
: P3 major
: none
Assigned To: Jeremy Allison
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-08 01:22 UTC by Feroz Ahmed
Modified: 2008-04-17 08:06 UTC (History)
2 users (show)

See Also:


Attachments
plese check File Discriptor is not getting closed in this scenario (122.28 KB, application/x-zip-compressed)
2007-08-28 01:57 UTC, Feroz Ahmed
no flags Details
in this scenario FD's are not getting closed as a result the files are not getting deleted. The bug has been verified by commenting stat cache = no" and "max connections = 13. We are using linux FC7. (595.29 KB, application/x-zip-compressed)
2007-08-28 02:44 UTC, Feroz Ahmed
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Feroz Ahmed 2007-08-08 01:22:55 UTC
Hi,
The sequence to reproduce this bug is as follows.
Copy 150 PDF files in a shared folder.

Open the file share (FILE_SHARE) from Windows XP+SP2.

1. open 1.pdf file then close 1.pdf file
2. Delete the 1.pdf file.
3. now open 2.pdf file then close 2.pdf file
4. Delete the 2.pdf file.

Repeat the same procedure for all the 150 files.

when every thing is done do a F5 in the shared folder (FILE_SHARE).

We can see some of the files remainig which we have already deleated.

These files will not delete till we restart smbd and nmbd.



The smb.conf file that im using is as follows



        [global]

                private dir = /usr/local/samba/samba/3.0.25b/tdbstore
                security = user
                map to guest = Bad User
                password server =  
                auth methods =  
                use spnego = yes
                client use spnego = Yes
                realm =  
                dos charset = CP932
                unix charset = CP932
                display charset = CP932
                debuglevel = 0
                netbios name = 234567
                workgroup = workgroup
                client signing = auto
                server signing = auto
                server string = SMB Server
                encrypt passwords = Yes
                socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
                printer admin = @root,root
                log file = /usr/local/samba/samba/3.0.25b/log/common.log
                max connections = 13
                local master = no
                stat cache = no
                oplocks = no
                kernel oplocks = no
                level2 oplocks = no
                default devmode = yes
                print command = PrintJobSubmit %s
                lppause command = PrintJobPause %j
                lpresume command = PrintJobResume %j
                lprm command = PrintJobDelete %j
                lpq command = PrintQueueGet
        [FILE_SHARE]
                comment = For all users loggin in
                path = /usr/local/samba/samba/3.0.25b/file_share
                writable = yes 
                printable = no
                create mask = 0777
                guest ok = yes
                guest only = yes
                posix locking = no
                oplocks = no
                level2 oplocks = no

       [pcl6]
                comment = PCL6 Driver
                path = /usr/local/samba/samba/3.0.25b/spooldir
                printable = yes
                guest ok = yes
                guest only = yes
                posix locking = no
                oplocks = no
                level2 oplocks = no

        [ps3]
                comment = PS3 Driver
                path = /usr/local/samba/samba/3.0.25b/spooldir
                printable = yes
                guest ok = yes
                guest only = yes
                posix locking = no
                oplocks = no
                level2 oplocks = no

        [print]
                comment = Printer
                path = /usr/local/samba/samba/3.0.25b/spooldir
                printable = yes
                guest ok = yes
                guest only = yes
                posix locking = no
                oplocks = no
                level2 oplocks = no

                [print$]
                path = /usr/local/samba/samba/3.0.25b/driverpath
                writeable = no
                write list = root,nobody
                guest ok = yes
                posix locking = no
                oplocks = no
                level2 oplocks = no
                guest only = yes
Comment 1 Feroz Ahmed 2007-08-17 04:40:05 UTC
what i have observed is the FD's are not getting closed when i close the file.
As a result the file is not getting deleted.
Comment 2 Gerald (Jerry) Carter 2007-08-18 13:57:45 UTC
Jeemy, does this ring any bells for you?
Comment 3 gomathi 2007-08-22 10:00:42 UTC
Hi Jerry
Kindly reply if any logs or further information is required regarding this issue.This issue was seen even in Vista.
Comment 4 Volker Lendecke 2007-08-22 11:10:46 UTC
A full debug level 10 log of that whole process might help. It will become large, so add "max log size = 0". You might want to just add an url to the bzip2'ed logfile here, not the whole thing.

Volker
Comment 5 Jeremy Allison 2007-08-22 14:58:57 UTC
Why do you have "stat cache = no" ? Remove this line and re-test please. Also remove "max connections = 13" What platform are you running Samba on ?
Jeremy.
Comment 6 Feroz Ahmed 2007-08-28 01:57:07 UTC
Created attachment 2896 [details]
plese check File Discriptor is not getting closed in this scenario
Comment 7 Feroz Ahmed 2007-08-28 02:44:15 UTC
Created attachment 2897 [details]
in this scenario FD's are not getting closed as a result the files are not getting deleted. The bug has been verified by commenting 
stat cache = no"  and "max connections = 13. We are using linux FC7.
Comment 8 Feroz Ahmed 2007-08-28 06:35:54 UTC
I have removed "stat cache = no"  and "max connections = 13" and tested.
Even by removing the above mentioned parameters, I am able to reproduce this bug.
I am are using linux Fedora Core 7.
Comment 9 gomathi 2007-08-30 13:21:32 UTC
Can anyone give some suggestion the reason for files not getting deleted from Win XP SP2 pc.? We have provided all samba logs for your reference.
Comment 10 Volker Lendecke 2007-12-10 00:55:26 UTC
Apparently you did not set 'max log size = 0'. The log file common.log is rotated. We need a full debug level 10 log covering the directory listing as well as the deletion attempts, and thus it is important that we get the log of the *WHOLE* connection.

Volker
Comment 11 Feroz Ahmed 2007-12-12 02:32:21 UTC
Hi Volder,

Logs without 'max log size = 0' are shared in the following link

http://files-upload.com/files/673875/common.zip
Comment 12 Feroz Ahmed 2007-12-12 21:13:48 UTC
Volker please use this link

http://www.uploading.com/files/32S43ZRE/common.zip.html

The above one is not working...
Comment 13 Feroz Ahmed 2007-12-19 23:57:34 UTC
common.log  with 'max log size = 0' can be downloaded from the following link.
http://www.uploading.com/files/32S43ZRE/common.zip.html
Comment 14 Volker Lendecke 2007-12-20 00:50:34 UTC
Sorry, this link sends me to a porn site. That's not a download. How many megabytes is this? Can't you just send it by mail???

Volker
Comment 15 Feroz Ahmed 2007-12-25 23:26:23 UTC
Hi Volker,

Im sorry bout that...
but this is the link from where you can download the logs...

http://www.uploading.com/files/32S43ZRE/common.zip.html

You need to wait for 30 seconds, till countdown gets finished and click on  "Click here for download" ....

The file size is 48MB after zipping and im not able to attach it with any mail...
If your are still unable to download the logs, please suggest me other methods to transfer logs to you...
Comment 16 Feroz Ahmed 2008-04-17 08:06:12 UTC
The log file is of size 15MB and cannot be attached here.

So I have attached the log file to the following mail id.

email     -       samba.log@gmail.com
password  -       samba@123


Please access Drafts folder and download the same...